Get CHScoreSummary For Device With Status

This method fetches the cyber hygiene score, Saner Agent status, and hostnames for the given devices found in the Account.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.CyberHygiene.getSummaryForDeviceWithStatus(
    account_name="Default",
    tags={
       "condition": "[=] is one of",
       "key": "location",
       "value": [
        "New York"
       ]
      } 
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the account for which CHScore summary is requested.

devices
array of strings

List of device identifiers to filter the results.

devices
fields
array of strings

Fields to be included in the response.

fields

Search term to filter devices by hostname or related attributes.

string

Status filter for devices.

family
array of strings

Operating system family filter.

family
os
array of strings

Operating system filter.

os
score-category
array of strings

Cyber hygiene score category filter.

score-category
tags
array of objects

Tag-based filtering conditions.

tags
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json